package de.dass_it.vanhelsing.gui.items;
public class JobDefsItem extends ItemType implements UserObjectItem{
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getEnabled() {
		return enabled;
	}
	public void setEnabled(String enabled) {
		this.enabled = enabled;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public String getAccurate() {
		return accurate;
	}
	public void setAccurate(String accurate) {
		this.accurate = accurate;
	}
	public String getVerifyjob() {
		return verifyjob;
	}
	public void setVerifyjob(String verifyjob) {
		this.verifyjob = verifyjob;
	}
	public String getJobdefs() {
		return jobdefs;
	}
	public void setJobdefs(String jobdefs) {
		this.jobdefs = jobdefs;
	}
	public String getBootstrap() {
		return bootstrap;
	}
	public void setBootstrap(String bootstrap) {
		this.bootstrap = bootstrap;
	}
	public String getWritebootstrap() {
		return writebootstrap;
	}
	public void setWritebootstrap(String writebootstrap) {
		this.writebootstrap = writebootstrap;
	}
	public String getClient() {
		return client;
	}
	public void setClient(String client) {
		this.client = client;
	}
	public String getFileset() {
		return fileset;
	}
	public void setFileset(String fileset) {
		this.fileset = fileset;
	}
	public String getMessages() {
		return messages;
	}
	public void setMessages(String messages) {
		this.messages = messages;
	}
	public String getPool() {
		return pool;
	}
	public void setPool(String pool) {
		this.pool = pool;
	}
	public String getFullbackuppool() {
		return fullbackuppool;
	}
	public void setFullbackuppool(String fullbackuppool) {
		this.fullbackuppool = fullbackuppool;
	}
	public String getDifferentialbackuppool() {
		return differentialbackuppool;
	}
	public void setDifferentialbackuppool(String differentialbackuppool) {
		this.differentialbackuppool = differentialbackuppool;
	}
	public String getIncrementalbackuppool() {
		return incrementalbackuppool;
	}
	public void setIncrementalbackuppool(String incrementalbackuppool) {
		this.incrementalbackuppool = incrementalbackuppool;
	}
	public String getSchedule() {
		return schedule;
	}
	public void setSchedule(String schedule) {
		this.schedule = schedule;
	}
	public String getStorage() {
		return storage;
	}
	public void setStorage(String storage) {
		this.storage = storage;
	}
	public String getMaxstartdelay() {
		return maxstartdelay;
	}
	public void setMaxstartdelay(String maxstartdelay) {
		this.maxstartdelay = maxstartdelay;
	}
	public String getMaxruntime() {
		return maxruntime;
	}
	public void setMaxruntime(String maxruntime) {
		this.maxruntime = maxruntime;
	}
	public String getIncrementaldifferentialmaxwaittime() {
		return incrementaldifferentialmaxwaittime;
	}
	public void setIncrementaldifferentialmaxwaittime(
			String incrementaldifferentialmaxwaittime) {
		this.incrementaldifferentialmaxwaittime = incrementaldifferentialmaxwaittime;
	}
	public String getIncrementalmaxruntime() {
		return incrementalmaxruntime;
	}
	public void setIncrementalmaxruntime(String incrementalmaxruntime) {
		this.incrementalmaxruntime = incrementalmaxruntime;
	}
	public String getDifferentialmaxwaittime() {
		return differentialmaxwaittime;
	}
	public void setDifferentialmaxwaittime(String differentialmaxwaittime) {
		this.differentialmaxwaittime = differentialmaxwaittime;
	}
	public String getMaxrunschedtime() {
		return maxrunschedtime;
	}
	public void setMaxrunschedtime(String maxrunschedtime) {
		this.maxrunschedtime = maxrunschedtime;
	}
	public String getMaxwaittime() {
		return maxwaittime;
	}
	public void setMaxwaittime(String maxwaittime) {
		this.maxwaittime = maxwaittime;
	}
	public String getMaxfullinterval() {
		return maxfullinterval;
	}
	public void setMaxfullinterval(String maxfullinterval) {
		this.maxfullinterval = maxfullinterval;
	}
	public String getPrefermountedvolumes() {
		return prefermountedvolumes;
	}
	public void setPrefermountedvolumes(String prefermountedvolumes) {
		this.prefermountedvolumes = prefermountedvolumes;
	}
	public String getPrunejobs() {
		return prunejobs;
	}
	public void setPrunejobs(String prunejobs) {
		this.prunejobs = prunejobs;
	}
	public String getPrunefiles() {
		return prunefiles;
	}
	public void setPrunefiles(String prunefiles) {
		this.prunefiles = prunefiles;
	}
	public String getPrunevolumes() {
		return prunevolumes;
	}
	public void setPrunevolumes(String prunevolumes) {
		this.prunevolumes = prunevolumes;
	}
	public String getRunscript() {
		return runscript;
	}
	public void setRunscript(String runscript) {
		this.runscript = runscript;
	}
	public String getRunbeforejob() {
		return runbeforejob;
	}
	public void setRunbeforejob(String runbeforejob) {
		this.runbeforejob = runbeforejob;
	}
	public String getRunafterjob() {
		return runafterjob;
	}
	public void setRunafterjob(String runafterjob) {
		this.runafterjob = runafterjob;
	}
	public String getRunafterfailedjob() {
		return runafterfailedjob;
	}
	public void setRunafterfailedjob(String runafterfailedjob) {
		this.runafterfailedjob = runafterfailedjob;
	}
	public String getClientrunbeforejob() {
		return clientrunbeforejob;
	}
	public void setClientrunbeforejob(String clientrunbeforejob) {
		this.clientrunbeforejob = clientrunbeforejob;
	}
	public String getClientrunafterjob() {
		return clientrunafterjob;
	}
	public void setClientrunafterjob(String clientrunafterjob) {
		this.clientrunafterjob = clientrunafterjob;
	}
	public String getRerunfailedlevels() {
		return rerunfailedlevels;
	}
	public void setRerunfailedlevels(String rerunfailedlevels) {
		this.rerunfailedlevels = rerunfailedlevels;
	}
	public String getSpooldata() {
		return spooldata;
	}
	public void setSpooldata(String spooldata) {
		this.spooldata = spooldata;
	}
	public String getSpoolattributes() {
		return spoolattributes;
	}
	public void setSpoolattributes(String spoolattributes) {
		this.spoolattributes = spoolattributes;
	}
	public String getWhere() {
		return where;
	}
	public void setWhere(String where) {
		this.where = where;
	}
	public String getAddprefix() {
		return addprefix;
	}
	public void setAddprefix(String addprefix) {
		this.addprefix = addprefix;
	}
	public String getAddsuffix() {
		return addsuffix;
	}
	public void setAddsuffix(String addsuffix) {
		this.addsuffix = addsuffix;
	}
	public String getStripprefix() {
		return stripprefix;
	}
	public void setStripprefix(String stripprefix) {
		this.stripprefix = stripprefix;
	}
	public String getRegexwhere() {
		return regexwhere;
	}
	public void setRegexwhere(String regexwhere) {
		this.regexwhere = regexwhere;
	}
	public String getReplace() {
		return replace;
	}
	public void setReplace(String replace) {
		this.replace = replace;
	}
	public String getPrefixlinks() {
		return prefixlinks;
	}
	public void setPrefixlinks(String prefixlinks) {
		this.prefixlinks = prefixlinks;
	}
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}
	public String getRescheduleonerror() {
		return rescheduleonerror;
	}
	public void setRescheduleonerror(String rescheduleonerror) {
		this.rescheduleonerror = rescheduleonerror;
	}
	public String getRescheduleinterval() {
		return rescheduleinterval;
	}
	public void setRescheduleinterval(String rescheduleinterval) {
		this.rescheduleinterval = rescheduleinterval;
	}
	public String getRescheduletimes() {
		return rescheduletimes;
	}
	public void setRescheduletimes(String rescheduletimes) {
		this.rescheduletimes = rescheduletimes;
	}
	public String getAllowduplicatejobs() {
		return allowduplicatejobs;
	}
	public void setAllowduplicatejobs(String allowduplicatejobs) {
		this.allowduplicatejobs = allowduplicatejobs;
	}
	public String getAllowhigherduplicates() {
		return allowhigherduplicates;
	}
	public void setAllowhigherduplicates(String allowhigherduplicates) {
		this.allowhigherduplicates = allowhigherduplicates;
	}
	public String getCancellowerlevelduplicates() {
		return cancellowerlevelduplicates;
	}
	public void setCancellowerlevelduplicates(String cancellowerlevelduplicates) {
		this.cancellowerlevelduplicates = cancellowerlevelduplicates;
	}
	public String getCancelqueuedduplicates() {
		return cancelqueuedduplicates;
	}
	public void setCancelqueuedduplicates(String cancelqueuedduplicates) {
		this.cancelqueuedduplicates = cancelqueuedduplicates;
	}
	public String getCancelrunningduplicates() {
		return cancelrunningduplicates;
	}
	public void setCancelrunningduplicates(String cancelrunningduplicates) {
		this.cancelrunningduplicates = cancelrunningduplicates;
	}
	public String getDuplicatejobproximity() {
		return duplicatejobproximity;
	}
	public void setDuplicatejobproximity(String duplicatejobproximity) {
		this.duplicatejobproximity = duplicatejobproximity;
	}
	public String getRun() {
		return run;
	}
	public void setRun(String run) {
		this.run = run;
	}
	public String getPriority() {
		return priority;
	}
	public void setPriority(String priority) {
		this.priority = priority;
	}
	public String getAllowmixedpriority() {
		return allowmixedpriority;
	}
	public void setAllowmixedpriority(String allowmixedpriority) {
		this.allowmixedpriority = allowmixedpriority;
	}
	public String getWritepartafterjob() {
		return writepartafterjob;
	}
	public void setWritepartafterjob(String writepartafterjob) {
		this.writepartafterjob = writepartafterjob;
	}
	private String name;
	private String enabled;
	private String type;
	private String level;
	private String accurate;
	private String verifyjob;
	private String jobdefs;
	private String bootstrap;
	private String writebootstrap;
	private String client;
	private String fileset;
	private String messages;
	private String pool;
	private String fullbackuppool;
	private String differentialbackuppool;
	private String incrementalbackuppool;
	private String schedule;
	private String storage;
	private String maxstartdelay;
	private String maxruntime;
	private String incrementaldifferentialmaxwaittime;
	private String incrementalmaxruntime;
	private String differentialmaxwaittime;
	private String maxrunschedtime;
	private String maxwaittime;
	private String maxfullinterval;
	private String prefermountedvolumes;
	private String prunejobs;
	private String prunefiles;
	private String prunevolumes;
	private String runscript;
	private String runbeforejob;
	private String runafterjob;
	private String runafterfailedjob;
	private String clientrunbeforejob;
	private String clientrunafterjob;
	private String rerunfailedlevels;
	private String spooldata;
	private String spoolattributes;
	private String where;
	private String addprefix;
	private String addsuffix;
	private String stripprefix;
	private String regexwhere;
	private String replace;
	private String prefixlinks;
	private String maximumconcurrentjobs;
	private String rescheduleonerror;
	private String rescheduleinterval;
	private String rescheduletimes;
	private String allowduplicatejobs;
	private String allowhigherduplicates;
	private String cancellowerlevelduplicates;
	private String cancelqueuedduplicates;
	private String cancelrunningduplicates;
	private String duplicatejobproximity;
	private String run;
	private String priority;
	private String allowmixedpriority;
	private String writepartafterjob;

	public JobDefsItem() {}
	public JobDefsItem(String name, String client, String type, String level, String fileset, String schedule, 
			String messages, String pool, String storage, String priority, String writebootstrap){
	}

}
